﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace IGCheckboxTree
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new SetupChangesVM(DoDifferences());
        }

        private ObservableCollection<Item> DoDifferences()
        {
            Item root = new Item("All Billing Types")
            {
                IsInitiallySelected = true,
                Children =
                {
                    new Item("Client Billing")
                    {
                        Children =
                        {
                            new Item("Active Participants")
                            {
                                Children=
                                {
                                    new Item("Flossmoor")
                                    {
                                        Children=
                                        {
                                            new Item("Contact Info")
                                            {
                                                Children=
                                                {
                                                    new Item("Telephone Number")
                                                    {
                                                        Children=
                                                        {
                                                            new Item("Extension changed from 1234 to 5555")
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            },
                            new Item("Eligible Employees")
                            {
                                Children=
                                {
                                    new Item("Alachua")
                                    {
                                        Children=
                                        {
                                            new Item("Rate")
                                            {
                                                Children=
                                                {
                                                    new Item("Rate changed from 5.73 to 6.00"),
                                                    new Item("Billing Frequency changed from Semi-Annually to Monthly")
                                                }
                                            }
                                        }
                                    }
                                }
                            },
                            new Item("Flat Rate")
                            {
                                Children=
                                {
                                    new Item("Alaska")
                                    {
                                        Children=
                                        {
                                            new Item("Rate")
                                            {
                                                Children=
                                                {
                                                    new Item("Billing Frequency changed from Semi-Annually to Monthly")
                                                }
                                            }
                                        }
                                    }
                                }
                            },
                            new Item("Plan Participants")
                            {
                                Children=
                                {
                                    new Item("Detroit")
                                    {
                                        Children=
                                        {
                                            new Item("Rate")
                                            {
                                                Children=
                                                {
                                                    new Item("Rate changed from 1.00 to 1.73")
                                                }
                                            }
                                        }
                                    }
                                }
                            },
                        }
                    }
                    ,
                    new Item("Vendor Billing")
                    {
                        Children =
                        {
                            new Item("Active Contributors")
                            {
                            Children=
                                {
                                    new Item("AXA")
                                    {
                                        Children=
                                        {
                                            new Item("Contact Info")
                                            {
                                                Children=
                                                {
                                                    new Item("Telephone Number")
                                                    {
                                                        Children=
                                                        {
                                                            new Item("Changed from 333-4444 to 555-2222")
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            },
                            new Item("Plan Participant")   
                            {
                            Children=
                                {
                                    new Item("VALIC")
                                    {
                                        Children=
                                        {
                                            new Item("Clients")
                                            {
                                                Children=
                                                {
                                                    new Item("Alachua")
                                                    {
                                                        Children=
                                                        {
                                                            new Item("Rate")
                                                            {
                                                                Children=
                                                                {
                                                                    new Item("Rate changed from 5.50 to 5.73"),
                                                                    new Item("Some very long description here to test the text wrapping in the name column.  No difference should be this legnthy anyway...")
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            },
                        }
                    },
                }
            };

            root.Initialize();
            return new ObservableCollection<Item> { root };
        }
    }
}
